Create an index on a table field for faster search operations.
Supports vector indexes (IVF_FLAT, IVF_HNSW_SQ, IVF_PQ, etc.) and scalar indexes (BTREE, BITMAP, FTS, etc.).
Index creation is handled asynchronously.
Use the ListTableIndices and DescribeTableIndexStats operations to monitor index creation progress.
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
id
string
required
string identifier of an object in a namespace, following the Lance Namespace spec.
When the value is equal to the delimiter, it represents the root namespace.
For example, v1/namespace/$/list performs a ListNamespace on the root namespace.
Query Parameters
delimiter
string
An optional delimiter of the string identifier, following the Lance Namespace spec.
When not specified, the $ delimiter must be used.
Body
application/json
Index creation request
column
string
required
Lance field path to create the index on. Nested fields use dot-separated segments; use backtick-quoted segments for literal dots and double backticks inside quoted segments. Use canonical full paths for display and errors; leaf names alone only identify top-level fields; invalid or unresolved paths should return InvalidInput or TableColumnNotFound.
Minimum string length: 1
index_type
string
required
Type of index to create (e.g., BTREE, BITMAP, LABEL_LIST, IVF_FLAT, IVF_PQ, IVF_HNSW_SQ, FTS)
identity
object
Identity information of a request.
Show child attributes
context
object
Arbitrary context as key-value pairs.
How to use the context is custom to the specific implementation.
On a request, it carries caller-provided context to the implementation.
On a response, it carries implementation-provided context back to the caller.
REST NAMESPACE ONLY
Context entries are mapped to and from HTTP headers using the header. prefix:
On a request, any entry whose key starts with header. is sent as an HTTP
request header with the prefix stripped. For example, the entry
{"header.Authorization": "Bearer abc"} is sent as the request header
Authorization: Bearer abc.
On a response, every HTTP response header is returned as an entry whose key is the
header name prefixed with header.. For example, the response header
x-request-id: abc123 is returned as the entry {"header.x-request-id": "abc123"}.
Show child attributes
id
string[]
branch
string
Branch to target. When not specified, the main branch is used.
name
string | null
Optional name for the index. If not provided, a name will be auto-generated.
distance_type
string
Distance metric type for vector indexes (e.g., l2, cosine, dot)
num_partitions
integer | null
Optional vector index parameter for the number of IVF partitions. Applies to all IVF index types.
Required range: x >= 1
num_sub_vectors
integer | null
Optional vector index parameter for the number of PQ sub-vectors. Applies to IVF_PQ only.
Required range: x >= 1
num_bits
integer | null
Optional vector index parameter for the number of bits used by the quantizer.
Required range: x >= 1
sample_rate
integer | null
Optional vector index parameter for the per-partition sample rate used during IVF training.
Required range: x >= 1
max_iterations
integer | null
Optional vector index parameter for the maximum number of IVF k-means training iterations.
Required range: x >= 1
target_partition_size
integer | null
Optional vector index parameter for the target partition size. Alternative to num_partitions.
Required range: x >= 1
m
integer | null
Optional vector index parameter for the number of edges per node in the HNSW graph. Applies to HNSW index types.
Required range: x >= 1
ef_construction
integer | null
Optional vector index parameter for the number of candidates evaluated during HNSW graph construction. Applies to HNSW index types.
Required range: x >= 1
with_position
boolean | null
Optional FTS parameter for position tracking
base_tokenizer
string | null
Optional FTS parameter for base tokenizer
language
string | null
Optional FTS parameter for language
max_token_length
integer | null
Optional FTS parameter for maximum token length
Required range: x >= 0
lower_case
boolean | null
Optional FTS parameter for lowercase conversion
stem
boolean | null
Optional FTS parameter for stemming
remove_stop_words
boolean | null
Optional FTS parameter for stop word removal
ascii_folding
boolean | null
Optional FTS parameter for ASCII folding
Response
Index created successfully
Response for create index operation
context
object
Arbitrary context as key-value pairs.
How to use the context is custom to the specific implementation.
On a request, it carries caller-provided context to the implementation.
On a response, it carries implementation-provided context back to the caller.
REST NAMESPACE ONLY
Context entries are mapped to and from HTTP headers using the header. prefix:
On a request, any entry whose key starts with header. is sent as an HTTP
request header with the prefix stripped. For example, the entry
{"header.Authorization": "Bearer abc"} is sent as the request header
Authorization: Bearer abc.
On a response, every HTTP response header is returned as an entry whose key is the
header name prefixed with header.. For example, the response header
x-request-id: abc123 is returned as the entry {"header.x-request-id": "abc123"}.
Show child attributes
transaction_id
string
Optional transaction identifier
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"LanceDB","colors":{"primary":"#FF6B35","light":"#FF8A5C","dark":"#E55A2B"},"logo":{"light":"https://mintcdn.com/lancedb-bcbb4faf/6L0IRVkfdlgMU1Pw/static/assets/logo/dark-lancedb-logo.svg?fit=max\u0026auto=format\u0026n=6L0IRVkfdlgMU1Pw\u0026q=85\u0026s=d0592e59a29df2477080a857e13e341f","dark":"https://mintcdn.com/lancedb-bcbb4faf/t0AGunBr6LulGkIJ/static/assets/logo/light-lancedb-logo.svg?fit=max\u0026auto=format\u0026n=t0AGunBr6LulGkIJ\u0026q=85\u0026s=9b508fcb8d83cbc9bd05e57227d739e9","href":"https://lancedb.com"},"favicon":"https://mintcdn.com/lancedb-bcbb4faf/0sS6vrpmM3KSVyss/static/favicon.ico?fit=max\u0026auto=format\u0026n=0sS6vrpmM3KSVyss\u0026q=85\u0026s=84b9ea3dfc312b7a4dfc99219e229b33","appearance":{"strict":false},"background":{"color":{"light":"#FAF5F0","dark":"#000000"}},"navbar":{"links":[{"href":"https://www.lancedb.com/contact","label":"Support"}]},"footer":{"socials":{"github":"https://github.com/lancedb","linkedin":"https://www.linkedin.com/company/lancedb","x":"https://x.com/lancedb","discord":"https://discord.gg/AUEWnJ7Txb"},"links":[{"items":[{"label":"Cookie settings","href":"#cookie-settings"}]}]},"fonts":{"family":"Inter"},"styling":{"codeblocks":{"theme":{"light":"vitesse-light","dark":"catppuccin-mocha"}},"latex":true},"integrations":{"ga4":{"measurementId":"G-1TMC2PR69E"}},"banner":{"content":"[AI research has outgrown the modern data stack. We raised $57.5M to rebuild it. Read our Series B story →](https://www.lancedb.com/blog/lancedb-series-b-funding?utm_campaign=series-b-funding\u0026utm_content=docs\u0026utm_medium=lancedb\u0026utm_source=banner)","dismissible":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"lancedb-bcbb4faf","hasAudioNarration":false,"actualSubdomain":"lancedb-bcbb4faf","customDomains":["docs.lancedb.com"],"gitSource":{"type":"github","owner":"lancedb","repo":"docs","deployBranch":"assembled","contentDirectory":"docs","isPrivate":true,"mountPath":"","label":"","_id":"6af512fe0902081a53d8698c"},"feedback":{"thumbs":true,"edits":false,"issues":false},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6b008022286e5a483262aeff","clientVersion":"0.0.4227","searchFilterCounts":[{"language":"default","tag":"Documentation","count":366},{"language":"default","tag":"Enterprise","count":343},{"language":"default","tag":"Embedded","count":340},{"language":"default","tag":"API Reference","count":113},{"language":"default","tag":"REST API","count":110},{"language":"default","tag":"Feature Engineering","count":90},{"language":"default","tag":"Table","count":88},{"language":"default","tag":"Integrations","count":84},{"language":"default","tag":"SQL Reference","count":80},{"language":"default","tag":"Geneva","count":68}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"site-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"control","enabled":true,"payload":{"type":"string","value":"control"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"wildcard-email-auth","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"static/styles/style.css","content":":root{--banner-left: #e4d8f8;--banner-right: #e55a2b}@font-face{font-family:\"LanceDB KaTeX AMS\";src:url(\"https://cdn.jsdelivr.net/npm/katex@0.16.0/dist/fonts/KaTeX_AMS-Regular.woff2\") format(\"woff2\");font-display:swap;font-style:normal;font-weight:400}.katex .mathbb,.katex .textbb{font-family:\"LanceDB KaTeX AMS\", \"KaTeX_AMS\", serif!important}#banner,:where(.banner,[data-banner],[class*=\"Banner_banner\"]){background:linear-gradient(90deg, var(--banner-left) 0%, var(--banner-right) 100%)!important;color:#1b0f09!important;border:none!important}#banner a,:where(.banner,[data-banner],[class*=\"Banner_banner\"]) a{color:#1b0f09!important;font-size:0.9rem;font-weight:500;text-decoration-color:rgba(27, 15, 9, 0.35)}#banner button,:where(.banner,[data-banner],[class*=\"Banner_banner\"]) button{color:#1b0f09!important}"}]}
{"page":{"pagePath":"enterprise/v1-14-0/api-reference/rest/table/create-an-index-on-a-table","slug":"/enterprise/v1-14-0/api-reference/rest/table/create-an-index-on-a-table","pageMetadata":{"title":"Create an index on a table","description":"Create an index on a table field for faster search operations.\nSupports vector indexes (IVF_FLAT, IVF_HNSW_SQ, IVF_PQ, etc.) and scalar indexes (BTREE, BITMAP, FTS, etc.).\nIndex creation is handled asynchronously.\nUse the `ListTableIndices` and `DescribeTableIndexStats` operations to monitor index creation progress.\n","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/create_index","href":"/enterprise/v1-14-0/api-reference/rest/table/create-an-index-on-a-table","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_components.p, {\n children: [\"Create an index on a table field for faster search operations.\\nSupports vector indexes (IVF_FLAT, IVF_HNSW_SQ, IVF_PQ, etc.) and scalar indexes (BTREE, BITMAP, FTS, etc.).\\nIndex creation is handled asynchronously.\\nUse the \", _jsx(_components.code, {\n children: \"ListTableIndices\"\n }), \" and \", _jsx(_components.code, {\n children: \"DescribeTableIndexStats\"\n }), \" operations to monitor index creation progress.\"]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":{"theme":{"light":"vitesse-light","dark":"catppuccin-mocha"}},"config":{},"pageMetadata":{"title":"Create an index on a table","description":"Create an index on a table field for faster search operations.\nSupports vector indexes (IVF_FLAT, IVF_HNSW_SQ, IVF_PQ, etc.) and scalar indexes (BTREE, BITMAP, FTS, etc.).\nIndex creation is handled asynchronously.\nUse the `ListTableIndices` and `DescribeTableIndexStats` operations to monitor index creation progress.\n","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/create_index","href":"/enterprise/v1-14-0/api-reference/rest/table/create-an-index-on-a-table","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/lancedb-bcbb4faf/17e8f66511a11582/static/scripts/cookie-consent.js"],"openApiReferenceData":{"operation":{"tags":["Table","Index","Metadata"],"summary":"Create an index on a table","operationId":"CreateTableIndex","description":"Create an index on a table field for faster search operations.\nSupports vector indexes (IVF_FLAT, IVF_HNSW_SQ, IVF_PQ, etc.) and scalar indexes (BTREE, BITMAP, FTS, etc.).\nIndex creation is handled asynchronously.\nUse the `ListTableIndices` and `DescribeTableIndexStats` operations to monitor index creation progress.\n","requestBody":"85d1a839-10f4-42f3-81df-448c84a23363","responses":{"200":"20072a9f-ffd7-4451-8032-170cfbc316f1","400":"e8d3a3c8-da41-4ac0-8646-242aed3eeced","401":"f01d6dc5-acd0-47ae-a7fa-0b8bb0cee232","403":"ed654bab-e516-405a-94c9-1768e5eba93a","404":"6dd4c6bf-a96d-4e4a-b208-eca924547bd9","503":"24a58fcf-5452-44d8-8b07-f8ecab34db8c","5XX":"4be9f9af-124f-4114-91c3-1086b4f5401c"},"method":"post","type":"path","servers":["7504a0e6-4b6f-4120-a3f2-d366fcb31f97","31f52b67-6c77-417a-bec2-d0abaafc97c2","913e7057-bfd9-4435-ab2b-5fe9ddbba1c3"],"security":["0dda2aef-3338-48be-b058-1c8ea8c82014","1b5f0b42-70ff-4094-aec3-17cc048ac8cc","9278eabb-10f5-4713-a01f-c5e0ec7054f9"],"path":"/v1/table/{id}/create_index","baseUrlOptions":["http://localhost:2333","{scheme}://{host}:{port}/{basePath}","{scheme}://{host}/{basePath}"],"title":"Create an index on a table","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"dd5f80fc-f541-4809-8f7d-127e70608e35":{"name":"id","description":"`string identifier` of an object in a namespace, following the Lance Namespace spec.\nWhen the value is equal to the delimiter, it represents the root namespace.\nFor example, `v1/namespace/$/list` performs a `ListNamespace` on the root namespace.\n","in":"path","required":true,"schema":{"type":"string","isRequired":true,"description":"`string identifier` of an object in a namespace, following the Lance Namespace spec.\nWhen the value is equal to the delimiter, it represents the root namespace.\nFor example, `v1/namespace/$/list` performs a `ListNamespace` on the root namespace.\n","uniqueKey":"","typeLabel":"string"}},"d99b4672-af60-436f-9a63-93f07993c781":{"name":"delimiter","description":"An optional delimiter of the `string identifier`, following the Lance Namespace spec.\nWhen not specified, the `$` delimiter must be used.\n","in":"query","required":false,"schema":{"type":"string","isRequired":false,"description":"An optional delimiter of the `string identifier`, following the Lance Namespace spec.\nWhen not specified, the `$` delimiter must be used.\n","uniqueKey":"","typeLabel":"string"}}},"requestBody":{"description":"Index creation request","content":{"application/json":{"schema":{"type":"object","required":["column","index_type"],"properties":{"column":{"type":"string","minLength":1,"description":"Lance field path to create the index on. Nested fields use dot-separated segments; use backtick-quoted segments for literal dots and double backticks inside quoted segments. Use canonical full paths for display and errors; leaf names alone only identify top-level fields; invalid or unresolved paths should return InvalidInput or TableColumnNotFound.","isRequired":true,"uniqueKey":"column","typeLabel":"string"},"index_type":{"type":"string","description":"Type of index to create (e.g., BTREE, BITMAP, LABEL_LIST, IVF_FLAT, IVF_PQ, IVF_HNSW_SQ, FTS)","isRequired":true,"uniqueKey":"index_type","typeLabel":"string"},"identity":{"type":"object","description":"Identity information of a request.\n","properties":{"api_key":{"type":"string","description":"API key for authentication.\n\nREST NAMESPACE ONLY\nThis is passed via the `x-api-key` header.\n","uniqueKey":"identity.api_key","typeLabel":"string"},"auth_token":{"type":"string","description":"Bearer token for authentication.\n\nREST NAMESPACE ONLY\nThis is passed via the `Authorization` header\nwith the Bearer scheme (e.g., `Bearer \u003ctoken>`).\n","uniqueKey":"identity.auth_token","typeLabel":"string"}},"uniqueKey":"identity","typeLabel":"object"},"context":{"type":"object","description":"Arbitrary context as key-value pairs.\nHow to use the context is custom to the specific implementation.\n\nOn a request, it carries caller-provided context to the implementation.\nOn a response, it carries implementation-provided context back to the caller.\n\nREST NAMESPACE ONLY\nContext entries are mapped to and from HTTP headers using the `header.` prefix:\n- On a request, any entry whose key starts with `header.` is sent as an HTTP\n request header with the prefix stripped. For example, the entry\n `{\"header.Authorization\": \"Bearer abc\"}` is sent as the request header\n `Authorization: Bearer abc`.\n- On a response, every HTTP response header is returned as an entry whose key is the\n header name prefixed with `header.`. For example, the response header\n `x-request-id: abc123` is returned as the entry `{\"header.x-request-id\": \"abc123\"}`.\n","additionalProperties":{"type":"string","uniqueKey":"context.additionalProperties","typeLabel":"string"},"uniqueKey":"context","typeLabel":"object"},"id":{"type":"array","items":{"type":"string","uniqueKey":"id.items.[INDEX]","typeLabel":"string"},"uniqueKey":"id","typeLabel":"string[]"},"branch":{"type":"string","description":"Branch to target. When not specified, the main branch is used.\n","uniqueKey":"branch","typeLabel":"string"},"name":{"oneOf":[{"type":"string","description":"Optional name for the index. If not provided, a name will be auto-generated.","uniqueKey":"name.oneOf.0","typeLabel":"string"},{"type":"null","description":"Optional name for the index. If not provided, a name will be auto-generated.","uniqueKey":"name.oneOf.1","typeLabel":"null"}],"uniqueKey":"name","typeLabel":"string | null"},"distance_type":{"type":"string","description":"Distance metric type for vector indexes (e.g., l2, cosine, dot)","uniqueKey":"distance_type","typeLabel":"string"},"num_partitions":{"oneOf":[{"type":"integer","minimum":1,"description":"Optional vector index parameter for the number of IVF partitions. Applies to all IVF index types.","uniqueKey":"num_partitions.oneOf.0","typeLabel":"integer"},{"type":"null","minimum":1,"description":"Optional vector index parameter for the number of IVF partitions. Applies to all IVF index types.","uniqueKey":"num_partitions.oneOf.1","typeLabel":"null"}],"uniqueKey":"num_partitions","typeLabel":"integer | null"},"num_sub_vectors":{"oneOf":[{"type":"integer","minimum":1,"description":"Optional vector index parameter for the number of PQ sub-vectors. Applies to IVF_PQ only.","uniqueKey":"num_sub_vectors.oneOf.0","typeLabel":"integer"},{"type":"null","minimum":1,"description":"Optional vector index parameter for the number of PQ sub-vectors. Applies to IVF_PQ only.","uniqueKey":"num_sub_vectors.oneOf.1","typeLabel":"null"}],"uniqueKey":"num_sub_vectors","typeLabel":"integer | null"},"num_bits":{"oneOf":[{"type":"integer","minimum":1,"description":"Optional vector index parameter for the number of bits used by the quantizer.","uniqueKey":"num_bits.oneOf.0","typeLabel":"integer"},{"type":"null","minimum":1,"description":"Optional vector index parameter for the number of bits used by the quantizer.","uniqueKey":"num_bits.oneOf.1","typeLabel":"null"}],"uniqueKey":"num_bits","typeLabel":"integer | null"},"sample_rate":{"oneOf":[{"type":"integer","minimum":1,"description":"Optional vector index parameter for the per-partition sample rate used during IVF training.","uniqueKey":"sample_rate.oneOf.0","typeLabel":"integer"},{"type":"null","minimum":1,"description":"Optional vector index parameter for the per-partition sample rate used during IVF training.","uniqueKey":"sample_rate.oneOf.1","typeLabel":"null"}],"uniqueKey":"sample_rate","typeLabel":"integer | null"},"max_iterations":{"oneOf":[{"type":"integer","minimum":1,"description":"Optional vector index parameter for the maximum number of IVF k-means training iterations.","uniqueKey":"max_iterations.oneOf.0","typeLabel":"integer"},{"type":"null","minimum":1,"description":"Optional vector index parameter for the maximum number of IVF k-means training iterations.","uniqueKey":"max_iterations.oneOf.1","typeLabel":"null"}],"uniqueKey":"max_iterations","typeLabel":"integer | null"},"target_partition_size":{"oneOf":[{"type":"integer","minimum":1,"description":"Optional vector index parameter for the target partition size. Alternative to num_partitions.","uniqueKey":"target_partition_size.oneOf.0","typeLabel":"integer"},{"type":"null","minimum":1,"description":"Optional vector index parameter for the target partition size. Alternative to num_partitions.","uniqueKey":"target_partition_size.oneOf.1","typeLabel":"null"}],"uniqueKey":"target_partition_size","typeLabel":"integer | null"},"m":{"oneOf":[{"type":"integer","minimum":1,"description":"Optional vector index parameter for the number of edges per node in the HNSW graph. Applies to HNSW index types.","uniqueKey":"m.oneOf.0","typeLabel":"integer"},{"type":"null","minimum":1,"description":"Optional vector index parameter for the number of edges per node in the HNSW graph. Applies to HNSW index types.","uniqueKey":"m.oneOf.1","typeLabel":"null"}],"uniqueKey":"m","typeLabel":"integer | null"},"ef_construction":{"oneOf":[{"type":"integer","minimum":1,"description":"Optional vector index parameter for the number of candidates evaluated during HNSW graph construction. Applies to HNSW index types.","uniqueKey":"ef_construction.oneOf.0","typeLabel":"integer"},{"type":"null","minimum":1,"description":"Optional vector index parameter for the number of candidates evaluated during HNSW graph construction. Applies to HNSW index types.","uniqueKey":"ef_construction.oneOf.1","typeLabel":"null"}],"uniqueKey":"ef_construction","typeLabel":"integer | null"},"with_position":{"oneOf":[{"type":"boolean","description":"Optional FTS parameter for position tracking","uniqueKey":"with_position.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Optional FTS parameter for position tracking","uniqueKey":"with_position.oneOf.1","typeLabel":"null"}],"uniqueKey":"with_position","typeLabel":"boolean | null"},"base_tokenizer":{"oneOf":[{"type":"string","description":"Optional FTS parameter for base tokenizer","uniqueKey":"base_tokenizer.oneOf.0","typeLabel":"string"},{"type":"null","description":"Optional FTS parameter for base tokenizer","uniqueKey":"base_tokenizer.oneOf.1","typeLabel":"null"}],"uniqueKey":"base_tokenizer","typeLabel":"string | null"},"language":{"oneOf":[{"type":"string","description":"Optional FTS parameter for language","uniqueKey":"language.oneOf.0","typeLabel":"string"},{"type":"null","description":"Optional FTS parameter for language","uniqueKey":"language.oneOf.1","typeLabel":"null"}],"uniqueKey":"language","typeLabel":"string | null"},"max_token_length":{"oneOf":[{"type":"integer","minimum":0,"description":"Optional FTS parameter for maximum token length","uniqueKey":"max_token_length.oneOf.0","typeLabel":"integer"},{"type":"null","minimum":0,"description":"Optional FTS parameter for maximum token length","uniqueKey":"max_token_length.oneOf.1","typeLabel":"null"}],"uniqueKey":"max_token_length","typeLabel":"integer | null"},"lower_case":{"oneOf":[{"type":"boolean","description":"Optional FTS parameter for lowercase conversion","uniqueKey":"lower_case.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Optional FTS parameter for lowercase conversion","uniqueKey":"lower_case.oneOf.1","typeLabel":"null"}],"uniqueKey":"lower_case","typeLabel":"boolean | null"},"stem":{"oneOf":[{"type":"boolean","description":"Optional FTS parameter for stemming","uniqueKey":"stem.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Optional FTS parameter for stemming","uniqueKey":"stem.oneOf.1","typeLabel":"null"}],"uniqueKey":"stem","typeLabel":"boolean | null"},"remove_stop_words":{"oneOf":[{"type":"boolean","description":"Optional FTS parameter for stop word removal","uniqueKey":"remove_stop_words.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Optional FTS parameter for stop word removal","uniqueKey":"remove_stop_words.oneOf.1","typeLabel":"null"}],"uniqueKey":"remove_stop_words","typeLabel":"boolean | null"},"ascii_folding":{"oneOf":[{"type":"boolean","description":"Optional FTS parameter for ASCII folding","uniqueKey":"ascii_folding.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Optional FTS parameter for ASCII folding","uniqueKey":"ascii_folding.oneOf.1","typeLabel":"null"}],"uniqueKey":"ascii_folding","typeLabel":"boolean | null"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"column":"\u003cstring>","index_type":"\u003cstring>","identity":{"api_key":"\u003cstring>","auth_token":"\u003cstring>"},"context":{},"id":["\u003cstring>"],"branch":"\u003cstring>","name":"\u003cstring>","distance_type":"\u003cstring>","num_partitions":2,"num_sub_vectors":2,"num_bits":2,"sample_rate":2,"max_iterations":2,"target_partition_size":2,"m":2,"ef_construction":2,"with_position":true,"base_tokenizer":"\u003cstring>","language":"\u003cstring>","max_token_length":1,"lower_case":true,"stem":true,"remove_stop_words":true,"ascii_folding":true}}},"exampleType":"generated"}},"required":true,"exampleType":"generated"},"responses":{"20072a9f-ffd7-4451-8032-170cfbc316f1":{"description":"Index created successfully","content":{"application/json":{"schema":{"type":"object","description":"Response for create index operation","properties":{"context":{"type":"object","description":"Arbitrary context as key-value pairs.\nHow to use the context is custom to the specific implementation.\n\nOn a request, it carries caller-provided context to the implementation.\nOn a response, it carries implementation-provided context back to the caller.\n\nREST NAMESPACE ONLY\nContext entries are mapped to and from HTTP headers using the `header.` prefix:\n- On a request, any entry whose key starts with `header.` is sent as an HTTP\n request header with the prefix stripped. For example, the entry\n `{\"header.Authorization\": \"Bearer abc\"}` is sent as the request header\n `Authorization: Bearer abc`.\n- On a response, every HTTP response header is returned as an entry whose key is the\n header name prefixed with `header.`. For example, the response header\n `x-request-id: abc123` is returned as the entry `{\"header.x-request-id\": \"abc123\"}`.\n","additionalProperties":{"type":"string","uniqueKey":"context.additionalProperties","typeLabel":"string"},"uniqueKey":"context","typeLabel":"object"},"transaction_id":{"type":"string","description":"Optional transaction identifier","uniqueKey":"transaction_id","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"context":{},"transaction_id":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"e8d3a3c8-da41-4ac0-8646-242aed3eeced":{"description":"Indicates a bad request error. It could be caused by an unexpected request body format or other forms of request validation failure, such as invalid json. Usually serves application/json content, although in some cases simple text/plain content might be returned by the server's middleware.","content":{"application/json":{"schema":{"type":"object","description":"Common JSON error response model","required":["code"],"properties":{"code":{"type":"integer","minimum":0,"description":"Lance Namespace error code identifying the error type.\n\nError codes:\n 0 - Unsupported: Operation not supported by this backend\n 1 - NamespaceNotFound: The specified namespace does not exist\n 2 - NamespaceAlreadyExists: A namespace with this name already exists\n 3 - NamespaceNotEmpty: Namespace contains tables or child namespaces\n 4 - TableNotFound: The specified table does not exist\n 5 - TableAlreadyExists: A table with this name already exists\n 6 - TableIndexNotFound: The specified table index does not exist\n 7 - TableIndexAlreadyExists: A table index with this name already exists\n 8 - TableTagNotFound: The specified table tag does not exist\n 9 - TableTagAlreadyExists: A table tag with this name already exists\n 10 - TransactionNotFound: The specified transaction does not exist\n 11 - TableVersionNotFound: The specified table version does not exist\n 12 - TableColumnNotFound: The specified table field does not exist\n 13 - InvalidInput: Malformed request or invalid parameters\n 14 - ConcurrentModification: Optimistic concurrency conflict\n 15 - PermissionDenied: User lacks permission for this operation\n 16 - Unauthenticated: Authentication credentials are missing or invalid\n 17 - ServiceUnavailable: Service is temporarily unavailable\n 18 - Internal: Unexpected server/implementation error\n 19 - InvalidTableState: Table is in an invalid state for the operation\n 20 - TableSchemaValidationError: Table schema validation failed\n 21 - Throttling: Request rate limit exceeded\n 22 - TableBranchNotFound: The specified table branch does not exist\n 23 - TableBranchAlreadyExists: A table branch with this name already exists\n","example":4,"isRequired":true,"uniqueKey":"code","typeLabel":"integer"},"context":{"type":"object","description":"Arbitrary context as key-value pairs.\nHow to use the context is custom to the specific implementation.\n\nOn a request, it carries caller-provided context to the implementation.\nOn a response, it carries implementation-provided context back to the caller.\n\nREST NAMESPACE ONLY\nContext entries are mapped to and from HTTP headers using the `header.` prefix:\n- On a request, any entry whose key starts with `header.` is sent as an HTTP\n request header with the prefix stripped. For example, the entry\n `{\"header.Authorization\": \"Bearer abc\"}` is sent as the request header\n `Authorization: Bearer abc`.\n- On a response, every HTTP response header is returned as an entry whose key is the\n header name prefixed with `header.`. For example, the response header\n `x-request-id: abc123` is returned as the entry `{\"header.x-request-id\": \"abc123\"}`.\n","additionalProperties":{"type":"string","uniqueKey":"context.additionalProperties","typeLabel":"string"},"uniqueKey":"context","typeLabel":"object"},"error":{"type":"string","description":"A brief, human-readable message about the error.","example":"Table 'users' not found in namespace 'production'","uniqueKey":"error","typeLabel":"string"},"detail":{"type":"string","description":"An optional human-readable explanation of the error.\nThis can be used to record additional information such as stack trace.\n","example":"The table may have been dropped or renamed","uniqueKey":"detail","typeLabel":"string"},"instance":{"type":"string","description":"A string that identifies the specific occurrence of the error.\nThis can be a URI, a request or response ID,\nor anything that the implementation can recognize to trace specific occurrence of the error.\n","example":"/v1/table/production$users/describe","uniqueKey":"instance","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"type":"/errors/bad-request","title":"Malformed request","status":400,"detail":"","instance":"/v1/namespaces"},"examples":{"Example":{"title":"Example","value":{"type":"/errors/bad-request","title":"Malformed request","status":400,"detail":"","instance":"/v1/namespaces"}}},"exampleType":"examples"}},"exampleType":"examples"},"f01d6dc5-acd0-47ae-a7fa-0b8bb0cee232":{"description":"Unauthorized. The request lacks valid authentication credentials for the operation.","content":{"application/json":{"schema":{"type":"object","description":"Common JSON error response model","required":["code"],"properties":{"code":{"type":"integer","minimum":0,"description":"Lance Namespace error code identifying the error type.\n\nError codes:\n 0 - Unsupported: Operation not supported by this backend\n 1 - NamespaceNotFound: The specified namespace does not exist\n 2 - NamespaceAlreadyExists: A namespace with this name already exists\n 3 - NamespaceNotEmpty: Namespace contains tables or child namespaces\n 4 - TableNotFound: The specified table does not exist\n 5 - TableAlreadyExists: A table with this name already exists\n 6 - TableIndexNotFound: The specified table index does not exist\n 7 - TableIndexAlreadyExists: A table index with this name already exists\n 8 - TableTagNotFound: The specified table tag does not exist\n 9 - TableTagAlreadyExists: A table tag with this name already exists\n 10 - TransactionNotFound: The specified transaction does not exist\n 11 - TableVersionNotFound: The specified table version does not exist\n 12 - TableColumnNotFound: The specified table field does not exist\n 13 - InvalidInput: Malformed request or invalid parameters\n 14 - ConcurrentModification: Optimistic concurrency conflict\n 15 - PermissionDenied: User lacks permission for this operation\n 16 - Unauthenticated: Authentication credentials are missing or invalid\n 17 - ServiceUnavailable: Service is temporarily unavailable\n 18 - Internal: Unexpected server/implementation error\n 19 - InvalidTableState: Table is in an invalid state for the operation\n 20 - TableSchemaValidationError: Table schema validation failed\n 21 - Throttling: Request rate limit exceeded\n 22 - TableBranchNotFound: The specified table branch does not exist\n 23 - TableBranchAlreadyExists: A table branch with this name already exists\n","example":4,"isRequired":true,"uniqueKey":"code","typeLabel":"integer"},"context":{"type":"object","description":"Arbitrary context as key-value pairs.\nHow to use the context is custom to the specific implementation.\n\nOn a request, it carries caller-provided context to the implementation.\nOn a response, it carries implementation-provided context back to the caller.\n\nREST NAMESPACE ONLY\nContext entries are mapped to and from HTTP headers using the `header.` prefix:\n- On a request, any entry whose key starts with `header.` is sent as an HTTP\n request header with the prefix stripped. For example, the entry\n `{\"header.Authorization\": \"Bearer abc\"}` is sent as the request header\n `Authorization: Bearer abc`.\n- On a response, every HTTP response header is returned as an entry whose key is the\n header name prefixed with `header.`. For example, the response header\n `x-request-id: abc123` is returned as the entry `{\"header.x-request-id\": \"abc123\"}`.\n","additionalProperties":{"type":"string","uniqueKey":"context.additionalProperties","typeLabel":"string"},"uniqueKey":"context","typeLabel":"object"},"error":{"type":"string","description":"A brief, human-readable message about the error.","example":"Table 'users' not found in namespace 'production'","uniqueKey":"error","typeLabel":"string"},"detail":{"type":"string","description":"An optional human-readable explanation of the error.\nThis can be used to record additional information such as stack trace.\n","example":"The table may have been dropped or renamed","uniqueKey":"detail","typeLabel":"string"},"instance":{"type":"string","description":"A string that identifies the specific occurrence of the error.\nThis can be a URI, a request or response ID,\nor anything that the implementation can recognize to trace specific occurrence of the error.\n","example":"/v1/table/production$users/describe","uniqueKey":"instance","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"type":"/errors/unauthorized-request","title":"No valid authentication credentials for the operation","status":401,"detail":"","instance":"/v1/namespaces"},"examples":{"Example":{"title":"Example","value":{"type":"/errors/unauthorized-request","title":"No valid authentication credentials for the operation","status":401,"detail":"","instance":"/v1/namespaces"}}},"exampleType":"examples"}},"exampleType":"examples"},"ed654bab-e516-405a-94c9-1768e5eba93a":{"description":"Forbidden. Authenticated user does not have the necessary permissions.","content":{"application/json":{"schema":{"type":"object","description":"Common JSON error response model","required":["code"],"properties":{"code":{"type":"integer","minimum":0,"description":"Lance Namespace error code identifying the error type.\n\nError codes:\n 0 - Unsupported: Operation not supported by this backend\n 1 - NamespaceNotFound: The specified namespace does not exist\n 2 - NamespaceAlreadyExists: A namespace with this name already exists\n 3 - NamespaceNotEmpty: Namespace contains tables or child namespaces\n 4 - TableNotFound: The specified table does not exist\n 5 - TableAlreadyExists: A table with this name already exists\n 6 - TableIndexNotFound: The specified table index does not exist\n 7 - TableIndexAlreadyExists: A table index with this name already exists\n 8 - TableTagNotFound: The specified table tag does not exist\n 9 - TableTagAlreadyExists: A table tag with this name already exists\n 10 - TransactionNotFound: The specified transaction does not exist\n 11 - TableVersionNotFound: The specified table version does not exist\n 12 - TableColumnNotFound: The specified table field does not exist\n 13 - InvalidInput: Malformed request or invalid parameters\n 14 - ConcurrentModification: Optimistic concurrency conflict\n 15 - PermissionDenied: User lacks permission for this operation\n 16 - Unauthenticated: Authentication credentials are missing or invalid\n 17 - ServiceUnavailable: Service is temporarily unavailable\n 18 - Internal: Unexpected server/implementation error\n 19 - InvalidTableState: Table is in an invalid state for the operation\n 20 - TableSchemaValidationError: Table schema validation failed\n 21 - Throttling: Request rate limit exceeded\n 22 - TableBranchNotFound: The specified table branch does not exist\n 23 - TableBranchAlreadyExists: A table branch with this name already exists\n","example":4,"isRequired":true,"uniqueKey":"code","typeLabel":"integer"},"context":{"type":"object","description":"Arbitrary context as key-value pairs.\nHow to use the context is custom to the specific implementation.\n\nOn a request, it carries caller-provided context to the implementation.\nOn a response, it carries implementation-provided context back to the caller.\n\nREST NAMESPACE ONLY\nContext entries are mapped to and from HTTP headers using the `header.` prefix:\n- On a request, any entry whose key starts with `header.` is sent as an HTTP\n request header with the prefix stripped. For example, the entry\n `{\"header.Authorization\": \"Bearer abc\"}` is sent as the request header\n `Authorization: Bearer abc`.\n- On a response, every HTTP response header is returned as an entry whose key is the\n header name prefixed with `header.`. For example, the response header\n `x-request-id: abc123` is returned as the entry `{\"header.x-request-id\": \"abc123\"}`.\n","additionalProperties":{"type":"string","uniqueKey":"context.additionalProperties","typeLabel":"string"},"uniqueKey":"context","typeLabel":"object"},"error":{"type":"string","description":"A brief, human-readable message about the error.","example":"Table 'users' not found in namespace 'production'","uniqueKey":"error","typeLabel":"string"},"detail":{"type":"string","description":"An optional human-readable explanation of the error.\nThis can be used to record additional information such as stack trace.\n","example":"The table may have been dropped or renamed","uniqueKey":"detail","typeLabel":"string"},"instance":{"type":"string","description":"A string that identifies the specific occurrence of the error.\nThis can be a URI, a request or response ID,\nor anything that the implementation can recognize to trace specific occurrence of the error.\n","example":"/v1/table/production$users/describe","uniqueKey":"instance","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"type":"/errors/forbidden-request","title":"Not authorized to make this request","status":403,"detail":"","instance":"/v1/namespaces"},"examples":{"Example":{"title":"Example","value":{"type":"/errors/forbidden-request","title":"Not authorized to make this request","status":403,"detail":"","instance":"/v1/namespaces"}}},"exampleType":"examples"}},"exampleType":"examples"},"6dd4c6bf-a96d-4e4a-b208-eca924547bd9":{"description":"A server-side problem that means can not find the specified resource.","content":{"application/json":{"schema":{"type":"object","description":"Common JSON error response model","required":["code"],"properties":{"code":{"type":"integer","minimum":0,"description":"Lance Namespace error code identifying the error type.\n\nError codes:\n 0 - Unsupported: Operation not supported by this backend\n 1 - NamespaceNotFound: The specified namespace does not exist\n 2 - NamespaceAlreadyExists: A namespace with this name already exists\n 3 - NamespaceNotEmpty: Namespace contains tables or child namespaces\n 4 - TableNotFound: The specified table does not exist\n 5 - TableAlreadyExists: A table with this name already exists\n 6 - TableIndexNotFound: The specified table index does not exist\n 7 - TableIndexAlreadyExists: A table index with this name already exists\n 8 - TableTagNotFound: The specified table tag does not exist\n 9 - TableTagAlreadyExists: A table tag with this name already exists\n 10 - TransactionNotFound: The specified transaction does not exist\n 11 - TableVersionNotFound: The specified table version does not exist\n 12 - TableColumnNotFound: The specified table field does not exist\n 13 - InvalidInput: Malformed request or invalid parameters\n 14 - ConcurrentModification: Optimistic concurrency conflict\n 15 - PermissionDenied: User lacks permission for this operation\n 16 - Unauthenticated: Authentication credentials are missing or invalid\n 17 - ServiceUnavailable: Service is temporarily unavailable\n 18 - Internal: Unexpected server/implementation error\n 19 - InvalidTableState: Table is in an invalid state for the operation\n 20 - TableSchemaValidationError: Table schema validation failed\n 21 - Throttling: Request rate limit exceeded\n 22 - TableBranchNotFound: The specified table branch does not exist\n 23 - TableBranchAlreadyExists: A table branch with this name already exists\n","example":4,"isRequired":true,"uniqueKey":"code","typeLabel":"integer"},"context":{"type":"object","description":"Arbitrary context as key-value pairs.\nHow to use the context is custom to the specific implementation.\n\nOn a request, it carries caller-provided context to the implementation.\nOn a response, it carries implementation-provided context back to the caller.\n\nREST NAMESPACE ONLY\nContext entries are mapped to and from HTTP headers using the `header.` prefix:\n- On a request, any entry whose key starts with `header.` is sent as an HTTP\n request header with the prefix stripped. For example, the entry\n `{\"header.Authorization\": \"Bearer abc\"}` is sent as the request header\n `Authorization: Bearer abc`.\n- On a response, every HTTP response header is returned as an entry whose key is the\n header name prefixed with `header.`. For example, the response header\n `x-request-id: abc123` is returned as the entry `{\"header.x-request-id\": \"abc123\"}`.\n","additionalProperties":{"type":"string","uniqueKey":"context.additionalProperties","typeLabel":"string"},"uniqueKey":"context","typeLabel":"object"},"error":{"type":"string","description":"A brief, human-readable message about the error.","example":"Table 'users' not found in namespace 'production'","uniqueKey":"error","typeLabel":"string"},"detail":{"type":"string","description":"An optional human-readable explanation of the error.\nThis can be used to record additional information such as stack trace.\n","example":"The table may have been dropped or renamed","uniqueKey":"detail","typeLabel":"string"},"instance":{"type":"string","description":"A string that identifies the specific occurrence of the error.\nThis can be a URI, a request or response ID,\nor anything that the implementation can recognize to trace specific occurrence of the error.\n","example":"/v1/table/production$users/describe","uniqueKey":"instance","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"type":"/errors/not-found-error","title":"Not found Error","status":404,"detail":"","instance":"/v1/namespaces/{ns}"},"examples":{"Example":{"title":"Example","value":{"type":"/errors/not-found-error","title":"Not found Error","status":404,"detail":"","instance":"/v1/namespaces/{ns}"}}},"exampleType":"examples"}},"exampleType":"examples"},"24a58fcf-5452-44d8-8b07-f8ecab34db8c":{"description":"The service is not ready to handle the request. The client should wait and retry. The service may additionally send a Retry-After header to indicate when to retry.","content":{"application/json":{"schema":{"type":"object","description":"Common JSON error response model","required":["code"],"properties":{"code":{"type":"integer","minimum":0,"description":"Lance Namespace error code identifying the error type.\n\nError codes:\n 0 - Unsupported: Operation not supported by this backend\n 1 - NamespaceNotFound: The specified namespace does not exist\n 2 - NamespaceAlreadyExists: A namespace with this name already exists\n 3 - NamespaceNotEmpty: Namespace contains tables or child namespaces\n 4 - TableNotFound: The specified table does not exist\n 5 - TableAlreadyExists: A table with this name already exists\n 6 - TableIndexNotFound: The specified table index does not exist\n 7 - TableIndexAlreadyExists: A table index with this name already exists\n 8 - TableTagNotFound: The specified table tag does not exist\n 9 - TableTagAlreadyExists: A table tag with this name already exists\n 10 - TransactionNotFound: The specified transaction does not exist\n 11 - TableVersionNotFound: The specified table version does not exist\n 12 - TableColumnNotFound: The specified table field does not exist\n 13 - InvalidInput: Malformed request or invalid parameters\n 14 - ConcurrentModification: Optimistic concurrency conflict\n 15 - PermissionDenied: User lacks permission for this operation\n 16 - Unauthenticated: Authentication credentials are missing or invalid\n 17 - ServiceUnavailable: Service is temporarily unavailable\n 18 - Internal: Unexpected server/implementation error\n 19 - InvalidTableState: Table is in an invalid state for the operation\n 20 - TableSchemaValidationError: Table schema validation failed\n 21 - Throttling: Request rate limit exceeded\n 22 - TableBranchNotFound: The specified table branch does not exist\n 23 - TableBranchAlreadyExists: A table branch with this name already exists\n","example":4,"isRequired":true,"uniqueKey":"code","typeLabel":"integer"},"context":{"type":"object","description":"Arbitrary context as key-value pairs.\nHow to use the context is custom to the specific implementation.\n\nOn a request, it carries caller-provided context to the implementation.\nOn a response, it carries implementation-provided context back to the caller.\n\nREST NAMESPACE ONLY\nContext entries are mapped to and from HTTP headers using the `header.` prefix:\n- On a request, any entry whose key starts with `header.` is sent as an HTTP\n request header with the prefix stripped. For example, the entry\n `{\"header.Authorization\": \"Bearer abc\"}` is sent as the request header\n `Authorization: Bearer abc`.\n- On a response, every HTTP response header is returned as an entry whose key is the\n header name prefixed with `header.`. For example, the response header\n `x-request-id: abc123` is returned as the entry `{\"header.x-request-id\": \"abc123\"}`.\n","additionalProperties":{"type":"string","uniqueKey":"context.additionalProperties","typeLabel":"string"},"uniqueKey":"context","typeLabel":"object"},"error":{"type":"string","description":"A brief, human-readable message about the error.","example":"Table 'users' not found in namespace 'production'","uniqueKey":"error","typeLabel":"string"},"detail":{"type":"string","description":"An optional human-readable explanation of the error.\nThis can be used to record additional information such as stack trace.\n","example":"The table may have been dropped or renamed","uniqueKey":"detail","typeLabel":"string"},"instance":{"type":"string","description":"A string that identifies the specific occurrence of the error.\nThis can be a URI, a request or response ID,\nor anything that the implementation can recognize to trace specific occurrence of the error.\n","example":"/v1/table/production$users/describe","uniqueKey":"instance","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"type":"/errors/service-unavailable","title":"Slow down","status":503,"detail":"","instance":"/v1/namespaces"},"examples":{"Example":{"title":"Example","value":{"type":"/errors/service-unavailable","title":"Slow down","status":503,"detail":"","instance":"/v1/namespaces"}}},"exampleType":"examples"}},"exampleType":"examples"},"4be9f9af-124f-4114-91c3-1086b4f5401c":{"description":"A server-side problem that might not be addressable from the client side. Used for server 5xx errors without more specific documentation in individual routes.","content":{"application/json":{"schema":{"type":"object","description":"Common JSON error response model","required":["code"],"properties":{"code":{"type":"integer","minimum":0,"description":"Lance Namespace error code identifying the error type.\n\nError codes:\n 0 - Unsupported: Operation not supported by this backend\n 1 - NamespaceNotFound: The specified namespace does not exist\n 2 - NamespaceAlreadyExists: A namespace with this name already exists\n 3 - NamespaceNotEmpty: Namespace contains tables or child namespaces\n 4 - TableNotFound: The specified table does not exist\n 5 - TableAlreadyExists: A table with this name already exists\n 6 - TableIndexNotFound: The specified table index does not exist\n 7 - TableIndexAlreadyExists: A table index with this name already exists\n 8 - TableTagNotFound: The specified table tag does not exist\n 9 - TableTagAlreadyExists: A table tag with this name already exists\n 10 - TransactionNotFound: The specified transaction does not exist\n 11 - TableVersionNotFound: The specified table version does not exist\n 12 - TableColumnNotFound: The specified table field does not exist\n 13 - InvalidInput: Malformed request or invalid parameters\n 14 - ConcurrentModification: Optimistic concurrency conflict\n 15 - PermissionDenied: User lacks permission for this operation\n 16 - Unauthenticated: Authentication credentials are missing or invalid\n 17 - ServiceUnavailable: Service is temporarily unavailable\n 18 - Internal: Unexpected server/implementation error\n 19 - InvalidTableState: Table is in an invalid state for the operation\n 20 - TableSchemaValidationError: Table schema validation failed\n 21 - Throttling: Request rate limit exceeded\n 22 - TableBranchNotFound: The specified table branch does not exist\n 23 - TableBranchAlreadyExists: A table branch with this name already exists\n","example":4,"isRequired":true,"uniqueKey":"code","typeLabel":"integer"},"context":{"type":"object","description":"Arbitrary context as key-value pairs.\nHow to use the context is custom to the specific implementation.\n\nOn a request, it carries caller-provided context to the implementation.\nOn a response, it carries implementation-provided context back to the caller.\n\nREST NAMESPACE ONLY\nContext entries are mapped to and from HTTP headers using the `header.` prefix:\n- On a request, any entry whose key starts with `header.` is sent as an HTTP\n request header with the prefix stripped. For example, the entry\n `{\"header.Authorization\": \"Bearer abc\"}` is sent as the request header\n `Authorization: Bearer abc`.\n- On a response, every HTTP response header is returned as an entry whose key is the\n header name prefixed with `header.`. For example, the response header\n `x-request-id: abc123` is returned as the entry `{\"header.x-request-id\": \"abc123\"}`.\n","additionalProperties":{"type":"string","uniqueKey":"context.additionalProperties","typeLabel":"string"},"uniqueKey":"context","typeLabel":"object"},"error":{"type":"string","description":"A brief, human-readable message about the error.","example":"Table 'users' not found in namespace 'production'","uniqueKey":"error","typeLabel":"string"},"detail":{"type":"string","description":"An optional human-readable explanation of the error.\nThis can be used to record additional information such as stack trace.\n","example":"The table may have been dropped or renamed","uniqueKey":"detail","typeLabel":"string"},"instance":{"type":"string","description":"A string that identifies the specific occurrence of the error.\nThis can be a URI, a request or response ID,\nor anything that the implementation can recognize to trace specific occurrence of the error.\n","example":"/v1/table/production$users/describe","uniqueKey":"instance","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"type":"/errors/server-error","title":"Internal Server Error","status":500,"detail":"","instance":"/v1/namespaces"},"examples":{"Example":{"title":"Example","value":{"type":"/errors/server-error","title":"Internal Server Error","status":500,"detail":"","instance":"/v1/namespaces"}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"0dda2aef-3338-48be-b058-1c8ea8c82014":{"OAuth2":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"/oauth/token","scopes":{}}},"scopes":[],"schemeName":"OAuth2"}},"1b5f0b42-70ff-4094-aec3-17cc048ac8cc":{"BearerAuth":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"BearerAuth"}},"9278eabb-10f5-4713-a01f-c5e0ec7054f9":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key","scopes":[],"schemeName":"ApiKeyAuth"}}},"servers":{"7504a0e6-4b6f-4120-a3f2-d366fcb31f97":{"url":"http://localhost:2333","description":"Default local server"},"31f52b67-6c77-417a-bec2-d0abaafc97c2":{"url":"{scheme}://{host}:{port}/{basePath}","description":"Generic server URL with all parts configurable","variables":{"scheme":{"default":"http"},"host":{"default":"localhost"},"port":{"default":"2333"},"basePath":{"default":""}}},"913e7057-bfd9-4435-ab2b-5fe9ddbba1c3":{"url":"{scheme}://{host}/{basePath}","description":"Server URL when the port can be inferred from the scheme","variables":{"scheme":{"default":"http"},"host":{"default":"localhost"},"basePath":{"default":""}}}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"/oauth/token","scopes":{}}},"scopes":[],"schemeName":"OAuth2"},"schema":{"title":"OAuth2 Auth","type":"string","isRequired":true,"description":"The access token received from the authorization server in the OAuth 2.0 flow.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"OAuth2","name":"Authorization"}],"title":"OAuth2"},{"schemes":[{"scheme":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"BearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"BearerAuth","name":"Authorization"}],"title":"BearerAuth"},{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"x-api-key","scopes":[],"schemeName":"ApiKeyAuth"},"schema":{"title":"x-api-key","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"ApiKeyAuth","name":"x-api-key"}],"title":"ApiKeyAuth"}]},"originalFileLocation":"enterprise/v1-14-0/api-reference/rest/openapi.yaml"},"subdomain":"lancedb-bcbb4faf","siteName":"LanceDB","title":"Create an index on a table - LanceDB","navMaps":{"firstHrefInVersion":{"1.14.0":{"href":"/enterprise/v1-14-0/api-reference/rest/table/create-an-index-on-a-table","matchLevel":0},"1.13.0":{"href":"/enterprise/v1-13-0/api-reference/rest/table/create-an-index-on-a-table","matchLevel":1},"1.12.0":{"href":"/enterprise/v1-12-0/api-reference/rest/table/create-an-index-on-a-table","matchLevel":1},"0.41.0":{"href":"/oss/v0-41-0","matchLevel":4}},"firstHrefInLanguage":{}},"lastModified":"2026-11-20T17:15:26.211Z","originalFileLocation":"enterprise/v1-14-0/api-reference/rest/table/create-an-index-on-a-table.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Create an index on a table field for faster search operations. Supports vector indexes (IVF_FLAT, IVF_HNSW_SQ, IVF_PQ, etc.) and scalar indexes (BTREE, BITMAP, FTS, etc.). Index creation is handled asynchronously. Use the ListTableIndices and DescribeTableIndexStats operations to monitor index creation progress.\">\u003cmeta data-mint-head name=\"application-name\" content=\"LanceDB\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/lancedb-bcbb4faf/AJCI1CXWoYDPZbb4/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/lancedb-bcbb4faf/AJCI1CXWoYDPZbb4/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/lancedb-bcbb4faf/AJCI1CXWoYDPZbb4/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/lancedb-bcbb4faf/AJCI1CXWoYDPZbb4/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/lancedb-bcbb4faf/AJCI1CXWoYDPZbb4/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/lancedb-bcbb4faf/AJCI1CXWoYDPZbb4/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/lancedb-bcbb4faf/AJCI1CXWoYDPZbb4/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/lancedb-bcbb4faf/AJCI1CXWoYDPZbb4/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/lancedb-bcbb4faf/AJCI1CXWoYDPZbb4/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create an index on a table - LanceDB\">\u003cmeta data-mint-head property=\"og:description\" content=\"Create an index on a table field for faster search operations. Supports vector indexes (IVF_FLAT, IVF_HNSW_SQ, IVF_PQ, etc.) and scalar indexes (BTREE, BITMAP, FTS, etc.). Index creation is handled asynchronously. Use the ListTableIndices and DescribeTableIndexStats operations to monitor index creation progress.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"LanceDB\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.lancedb.com/enterprise/v1-14-0/api-reference/rest/table/create-an-index-on-a-table\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://lancedb-bcbb4faf.mintlify.site/_mintlify/api/og/v2?division=Table\u0026amp;title=Create+an+index+on+a+table\u0026amp;description=Create+an+index+on+a+table+field+for+faster+search+operations.%0ASupports+vector+indexes+%28IVF_FLAT%2C+IVF_HNSW_SQ%2C+IVF_PQ%2C+etc.%29+and+scalar+indexes+%28BTREE%2C+BITMAP%2C+\u0026amp;theme=9d8045ca9469df4ceece463f\u0026amp;signature=cf2fe68cff4079c6b305bdb2a413b42ee95a9a607bc6d7c21ed1cb0fd943ce94\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create an index on a table - LanceDB\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Create an index on a table field for faster search operations. Supports vector indexes (IVF_FLAT, IVF_HNSW_SQ, IVF_PQ, etc.) and scalar indexes (BTREE, BITMAP, FTS, etc.). Index creation is handled asynchronously. Use the ListTableIndices and DescribeTableIndexStats operations to monitor index creation progress.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://lancedb-bcbb4faf.mintlify.site/_mintlify/api/og/v2?division=Table\u0026amp;title=Create+an+index+on+a+table\u0026amp;description=Create+an+index+on+a+table+field+for+faster+search+operations.%0ASupports+vector+indexes+%28IVF_FLAT%2C+IVF_HNSW_SQ%2C+IVF_PQ%2C+etc.%29+and+scalar+indexes+%28BTREE%2C+BITMAP%2C+\u0026amp;theme=9d8045ca9469df4ceece463f\u0026amp;signature=cf2fe68cff4079c6b305bdb2a413b42ee95a9a607bc6d7c21ed1cb0fd943ce94\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/lancedb-bcbb4faf/AJCI1CXWoYDPZbb4/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"LanceDB\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#FF6B35\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.lancedb.com/enterprise/v1-14-0/api-reference/rest/table/create-an-index-on-a-table\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/enterprise/v1-14-0/api-reference/rest/table/create-an-index-on-a-table.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.lancedb.com/#organization\",\"name\":\"LanceDB\",\"url\":\"https://docs.lancedb.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/lancedb-bcbb4faf/6L0IRVkfdlgMU1Pw/static/assets/logo/dark-lancedb-logo.svg?fit=max\u0026auto=format\u0026n=6L0IRVkfdlgMU1Pw\u0026q=85\u0026s=d0592e59a29df2477080a857e13e341f\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.lancedb.com#website\",\"name\":\"LanceDB\",\"url\":\"https://docs.lancedb.com\",\"publisher\":{\"@id\":\"https://docs.lancedb.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.lancedb.com/enterprise/v1-14-0/api-reference/rest/table/create-an-index-on-a-table#webpage\",\"url\":\"https://docs.lancedb.com/enterprise/v1-14-0/api-reference/rest/table/create-an-index-on-a-table\",\"name\":\"Create an index on a table\",\"description\":\"Create an index on a table field for faster search operations. Supports vector indexes (IVF_FLAT, IVF_HNSW_SQ, IVF_PQ, etc.) and scalar indexes (BTREE, BITMAP, FTS, etc.). Index creation is handled asynchronously. Use the ListTableIndices and DescribeTableIndexStats operations to monitor index creation progress.\",\"dateModified\":\"2026-11-20T17:15:26.211Z\",\"isPartOf\":{\"@id\":\"https://docs.lancedb.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.lancedb.com/enterprise/v1-14-0/api-reference/rest/table/create-an-index-on-a-table#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.lancedb.com/enterprise/v1-14-0/api-reference/rest/table/create-an-index-on-a-table#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"REST API\",\"item\":\"https://docs.lancedb.com/enterprise/v1-14-0/api-reference/rest\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Table\",\"item\":\"https://docs.lancedb.com/enterprise/v1-14-0/api-reference/rest/table/list-all-tables\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Create an index on a table\",\"item\":\"https://docs.lancedb.com/enterprise/v1-14-0/api-reference/rest/table/create-an-index-on-a-table\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.lancedb.com/enterprise/v1-14-0/api-reference/rest/table/create-an-index-on-a-table#apireference\",\"headline\":\"Create an index on a table\",\"name\":\"Create an index on a table\",\"description\":\"Create an index on a table field for faster search operations. Supports vector indexes (IVF_FLAT, IVF_HNSW_SQ, IVF_PQ, etc.) and scalar indexes (BTREE, BITMAP, FTS, etc.). Index creation is handled asynchronously. Use the ListTableIndices and DescribeTableIndexStats operations to monitor index creation progress.\",\"url\":\"https://docs.lancedb.com/enterprise/v1-14-0/api-reference/rest/table/create-an-index-on-a-table\",\"mainEntityOfPage\":{\"@id\":\"https://docs.lancedb.com/enterprise/v1-14-0/api-reference/rest/table/create-an-index-on-a-table#webpage\"},\"dateModified\":\"2026-11-20T17:15:26.211Z\",\"publisher\":{\"@id\":\"https://docs.lancedb.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.lancedb.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"LanceDB\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"LanceDB\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/enterprise/v1-14-0/api-reference/rest/table/create-an-index-on-a-table.md","siteName":"LanceDB","nav":{"global":null,"products":[{"product":"Enterprise","icon":"server","description":"Multimodal lakehouse","versions":[{"version":"1.14.0","default":true,"tag":"Latest","tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/enterprise/v1-14-0"}]},{"tab":"Integrations","pages":[{"title":"Integrations","href":"/enterprise/v1-14-0/integrations"}]},{"tab":"Tutorials","pages":[{"title":"Tutorials","href":"/enterprise/v1-14-0/tutorials"}]},{"tab":"Demos","pages":[{"title":"Demos","href":"/enterprise/v1-14-0/demos"}]},{"tab":"Datasets","pages":[{"title":"Datasets","href":"/enterprise/v1-14-0/datasets"}]},{"tab":"API Reference","groups":[{"group":"REST API","pages":[{"title":"REST API Reference","sidebarTitle":"Overview","href":"/enterprise/v1-14-0/api-reference/rest"},{"group":"Namespace","pages":[{"title":"Create a new namespace","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/namespace/{id}/create","href":"/enterprise/v1-14-0/api-reference/rest/namespace/create-a-new-namespace"},{"title":"List namespaces","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml get /v1/namespace/{id}/list","href":"/enterprise/v1-14-0/api-reference/rest/namespace/list-namespaces"},{"title":"Describe a namespace","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/namespace/{id}/describe","href":"/enterprise/v1-14-0/api-reference/rest/namespace/describe-a-namespace"},{"title":"Drop a namespace","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/namespace/{id}/drop","href":"/enterprise/v1-14-0/api-reference/rest/namespace/drop-a-namespace"},{"title":"Check if a namespace exists","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/namespace/{id}/exists","href":"/enterprise/v1-14-0/api-reference/rest/namespace/check-if-a-namespace-exists"},{"title":"List tables in a namespace","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml get /v1/namespace/{id}/table/list","href":"/enterprise/v1-14-0/api-reference/rest/namespace/list-tables-in-a-namespace"}]},{"group":"Table","pages":[{"title":"List all tables","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml get /v1/table","href":"/enterprise/v1-14-0/api-reference/rest/table/list-all-tables"},{"title":"Register a table to a namespace","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/register","href":"/enterprise/v1-14-0/api-reference/rest/table/register-a-table-to-a-namespace"},{"title":"Describe information of a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/describe","href":"/enterprise/v1-14-0/api-reference/rest/table/describe-information-of-a-table"},{"title":"Check if a table exists","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/exists","href":"/enterprise/v1-14-0/api-reference/rest/table/check-if-a-table-exists"},{"title":"Drop a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/drop","href":"/enterprise/v1-14-0/api-reference/rest/table/drop-a-table"},{"title":"Deregister a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/deregister","href":"/enterprise/v1-14-0/api-reference/rest/table/deregister-a-table"},{"title":"Restore table to a specific version","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/restore","href":"/enterprise/v1-14-0/api-reference/rest/table/restore-table-to-a-specific-version"},{"title":"Rename a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/rename","href":"/enterprise/v1-14-0/api-reference/rest/table/rename-a-table"},{"title":"Update table schema metadata","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/schema_metadata/update","href":"/enterprise/v1-14-0/api-reference/rest/table/update-table-schema-metadata"},{"title":"List all versions of a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/version/list","href":"/enterprise/v1-14-0/api-reference/rest/table/list-all-versions-of-a-table"},{"title":"Create a new table version","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/version/create","href":"/enterprise/v1-14-0/api-reference/rest/table/create-a-new-table-version"},{"title":"Describe a specific table version","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/version/describe","href":"/enterprise/v1-14-0/api-reference/rest/table/describe-a-specific-table-version"},{"title":"Delete table version records","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/version/delete","href":"/enterprise/v1-14-0/api-reference/rest/table/delete-table-version-records"},{"title":"Atomically create versions for multiple tables","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/version/batch-create","href":"/enterprise/v1-14-0/api-reference/rest/table/atomically-create-versions-for-multiple-tables"},{"title":"Atomically commit a batch of mixed table operations","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/batch-commit","href":"/enterprise/v1-14-0/api-reference/rest/table/atomically-commit-a-batch-of-mixed-table-operations"},{"title":"Modify existing columns","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/alter_columns","href":"/enterprise/v1-14-0/api-reference/rest/table/modify-existing-columns"},{"title":"Update per-field metadata","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/update_field_metadata","href":"/enterprise/v1-14-0/api-reference/rest/table/update-per-field-metadata"},{"title":"Remove columns from table","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/drop_columns","href":"/enterprise/v1-14-0/api-reference/rest/table/remove-columns-from-table"},{"title":"Get table statistics","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/stats","href":"/enterprise/v1-14-0/api-reference/rest/table/get-table-statistics"},{"title":"Insert records into a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/insert","href":"/enterprise/v1-14-0/api-reference/rest/table/insert-records-into-a-table"},{"title":"Merge insert (upsert) records into a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/merge_insert","href":"/enterprise/v1-14-0/api-reference/rest/table/merge-insert-upsert-records-into-a-table"},{"title":"Update rows in a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/update","href":"/enterprise/v1-14-0/api-reference/rest/table/update-rows-in-a-table"},{"title":"Delete rows from a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/delete","href":"/enterprise/v1-14-0/api-reference/rest/table/delete-rows-from-a-table"},{"title":"Query a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/query","href":"/enterprise/v1-14-0/api-reference/rest/table/query-a-table"},{"title":"Count rows in a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/count_rows","href":"/enterprise/v1-14-0/api-reference/rest/table/count-rows-in-a-table"},{"title":"Create a table with the given name","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/create","href":"/enterprise/v1-14-0/api-reference/rest/table/create-a-table-with-the-given-name"},{"title":"Get query execution plan explanation","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/explain_plan","href":"/enterprise/v1-14-0/api-reference/rest/table/get-query-execution-plan-explanation"},{"title":"Analyze query execution plan","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/analyze_plan","href":"/enterprise/v1-14-0/api-reference/rest/table/analyze-query-execution-plan"},{"title":"Add new columns to table schema","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/add_columns","href":"/enterprise/v1-14-0/api-reference/rest/table/add-new-columns-to-table-schema"},{"title":"Trigger an async column backfill job","description":"Trigger an asynchronous backfill job for a computed column on table `id`.\nThe column must be a virtual (UDF-backed) column or a computed column\ndeclared with an expression binding. Returns a job ID for tracking.\n","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/backfill_column","href":"/enterprise/v1-14-0/api-reference/rest/table/trigger-an-async-column-backfill-job"},{"title":"Create an index on a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/create_index","href":"/enterprise/v1-14-0/api-reference/rest/table/create-an-index-on-a-table"},{"title":"Create a scalar index on a table","description":"Create a scalar index on a table field for faster filtering operations.\nSupports scalar indexes (BTREE, BITMAP, LABEL_LIST, FTS, etc.).\nThis is an alias for CreateTableIndex specifically for scalar indexes.\nIndex creation is handled asynchronously.\nUse the `ListTableIndices` and `DescribeTableIndexStats` operations to monitor index creation progress.\n","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/create_scalar_index","href":"/enterprise/v1-14-0/api-reference/rest/table/create-a-scalar-index-on-a-table"},{"title":"List indexes on a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/index/list","href":"/enterprise/v1-14-0/api-reference/rest/table/list-indexes-on-a-table"},{"title":"Get table index statistics","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/index/{index_name}/stats","href":"/enterprise/v1-14-0/api-reference/rest/table/get-table-index-statistics"},{"title":"Drop a specific index","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/index/{index_name}/drop","href":"/enterprise/v1-14-0/api-reference/rest/table/drop-a-specific-index"},{"title":"List all tags for a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/tags/list","href":"/enterprise/v1-14-0/api-reference/rest/table/list-all-tags-for-a-table"},{"title":"Get version for a specific tag","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/tags/version","href":"/enterprise/v1-14-0/api-reference/rest/table/get-version-for-a-specific-tag"},{"title":"Declare a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/declare","href":"/enterprise/v1-14-0/api-reference/rest/table/declare-a-table"},{"title":"Create a new tag","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/tags/create","href":"/enterprise/v1-14-0/api-reference/rest/table/create-a-new-tag"},{"title":"Delete a tag","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/tags/delete","href":"/enterprise/v1-14-0/api-reference/rest/table/delete-a-tag"},{"title":"Update a tag to point to a different version","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/tags/update","href":"/enterprise/v1-14-0/api-reference/rest/table/update-a-tag-to-point-to-a-different-version"},{"title":"List all branches for a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/branches/list","href":"/enterprise/v1-14-0/api-reference/rest/table/list-all-branches-for-a-table"},{"title":"Create a new branch","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/branches/create","href":"/enterprise/v1-14-0/api-reference/rest/table/create-a-new-branch"},{"title":"Delete a branch","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/table/{id}/branches/delete","href":"/enterprise/v1-14-0/api-reference/rest/table/delete-a-branch"}]},{"group":"MaterializedView","pages":[{"title":"Trigger an async materialized view refresh","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/materialized_view/{id}/refresh","href":"/enterprise/v1-14-0/api-reference/rest/materializedview/trigger-an-async-materialized-view-refresh"},{"title":"Create a materialized view","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/materialized_view/{id}/create","href":"/enterprise/v1-14-0/api-reference/rest/materializedview/create-a-materialized-view"}]},{"group":"Transaction","pages":[{"title":"Describe information about a transaction","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/transaction/{id}/describe","href":"/enterprise/v1-14-0/api-reference/rest/transaction/describe-information-about-a-transaction"},{"title":"Alter information of a transaction.","deprecated":null,"version":null,"openapi":"/enterprise/v1-14-0/api-reference/rest/openapi.yaml post /v1/transaction/{id}/alter","href":"/enterprise/v1-14-0/api-reference/rest/transaction/alter-information-of-a-transaction"}]}]},{"group":"SDK references","pages":[{"title":"Python","icon":"python","url":"https://lancedb.github.io/lancedb/python/python/","href":"/enterprise/v1-14-0/api-reference/sdk/python"},{"title":"TypeScript","icon":"square-js","url":"https://lancedb.github.io/lancedb/js/","href":"/enterprise/v1-14-0/api-reference/sdk/typescript"},{"title":"Rust","icon":"rust","url":"https://docs.rs/lancedb/latest/lancedb/index.html","href":"/enterprise/v1-14-0/api-reference/sdk/rust"}]}]}]},{"version":"1.13.0","pages":[{"title":"1.13.0","href":"/enterprise/v1-13-0/api-reference/rest/table/create-an-index-on-a-table"}]},{"version":"1.12.0","pages":[{"title":"1.12.0","href":"/enterprise/v1-12-0/api-reference/rest/table/create-an-index-on-a-table"}]}]},{"product":"Embedded","icon":"database","description":"Open-source library","pages":[{"title":"Embedded","href":"/oss/v0-41-0"}]}]},"basePath":"","title":"Create an index on a table - LanceDB","deploymentId":"dpl_vSEmv961Ncyvz1psVwgUnTXQMSYk","buildId":"dpl_vSEmv961Ncyvz1psVwgUnTXQMSYk","dynamics":["10e4515597","c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["BannerMarkdown-DnSAhvaM.js","dist-DIfYWxfm.js","lib-DMeTj1gb.js","lib-B8HbPgcC.js","katex-Dbtb6Wk7.js","html-void-elements-mCSPHezU.js","marked.esm-CZWythHk.js","OpenApiReferenceProvider-CrDfRf61.js","snippetPresets-Dv-cOUrx.js","utils-BUTreAgv.js","style-to-object-BY3JEAdk.js","utils-wsznt9RM.js","v4-DIgz8zy6.js","addUniqueKeysToSchema-DEsMlaPy.js","conditional-requirements-CFM0id0Q.js","cloneDeep-DontW4xJ.js","_Uint8Array-pP7X6_RM.js","isObject-FP1Yky1u.js","ApiExamples-CU_aGGP0.js","usePlaygroundInputsStore-7dNmUIbS.js","shallow-fTtruD8x.js","isEqual-BRfNFpSD.js","CodeSnippets-52884wUJ.js","CodeSnippet-eoRjC4Le.js","getApiPlaygroundDisplay-CZyAPlR2.js","Page-Cr9IwkK7.js","DynamicMarkdown-NFqqduU7.js","SectionHeading-DQ-mJoAt.js","icon-DXTBUt6s.js","MethodPill-2v-b3js5.js","getPastedJson-v_8Y1_4v.js","DuplicateIcon-DXIkhZIo.js","createIcon-DRpYuPZs.js","axios-CsQoIw0U.js","Markdown-CwtoSfEf.js","AssistantPageLink-CTqa3eoi.js"]}